SofizPay Logo

SofizPay

SofizPay Logo
SofizPay
Technical Documentation
Phone Recharge API

Phone Recharge API

Recharge mobile phones for all Algerian operators using our unified API

API Endpoint

POSThttps://sofizpay.com/services/operation_post

This endpoint handles phone recharge operations for all supported operators

Djezzy logo

Djezzy

Request Example

bash
curl --location 'https://sofizpay.com/services/operation_post' \
--header 'Content-Type: application/json' \
--data '{      
    "encrypted_sk" : "YOUR_ENCRYPTED_SECRET_KEY OR PURE_SECRET_KEY",
    "phone": "YOUR_PHONE_NUMBER",
    "operator": "djezzy",
    "amount": YOUR_AMOUNT,
    "offer": "prepaid"
}'
Operator Value
"djezzy"
Ooredoo logo

Ooredoo

Request Example

bash
curl --location 'https://sofizpay.com/services/operation_post' \
--header 'Content-Type: application/json' \
--data '{      
    "encrypted_sk" : "YOUR_ENCRYPTED_SECRET_KEY OR PURE_SECRET_KEY",
    "phone": "YOUR_PHONE_NUMBER",
    "operator": "ooredoo",
    "amount": YOUR_AMOUNT,
    "offer": "prepaid"
}'
Operator Value
"ooredoo"
Mobilis logo

Mobilis

Request Example

bash
curl --location 'https://sofizpay.com/services/operation_post' \
--header 'Content-Type: application/json' \
--data '{      
    "encrypted_sk" : "YOUR_ENCRYPTED_SECRET_KEY OR PURE_SECRET_KEY",
    "phone": "YOUR_PHONE_NUMBER",
    "operator": "mobilis",
    "amount": YOUR_AMOUNT,
    "offer": "prepaid"
}'
Operator Value
"mobilis"

Request Parameters

ParameterTypeDescription
encrypted_skstringEncrypted secret key for authentication
phonestringPhone number to recharge
operatorstringMobile operator: djezzy, ooredoo, or mobilis
amountnumberRecharge amount in DZD
offerstringOffer type: prepaid or postpaid

Success Response (200)

json
{
    "status": "success",
    "message": "Operation submitted successfully",
    "operation_id": "YOUR_OPERATION_ID",
    "transaction_id": "YOUR_TRANSACTION_ID",
    "transaction_status": "confirmed"
}